Package org.drinkless.tdlib

# Class TdApi.InputInlineQueryResultVoiceNote

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InputInlineQueryResult
org.drinkless.tdlib.TdApi.InputInlineQueryResultVoiceNote

Enclosing class:
  TdApi

public static class TdApi.InputInlineQueryResultVoiceNote extends TdApi.InputInlineQueryResult
Represents a link to an opus-encoded audio file within an OGG container, single channel audio.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InputInlineQueryResult

  `TdApi.InputInlineQueryResult.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `id`
  Unique identifier of the query result.
  `TdApi.InputMessageContent`
  `inputMessageContent`
  The content of the message to be sent.
  `TdApi.ReplyMarkup`
  `replyMarkup`
  The message reply markup; pass null if none.
  `String`
  `title`
  Title of the voice note.
  `int`
  `voiceNoteDuration`
  Duration of the voice note, in seconds.
  `String`
  `voiceNoteUrl`
  The URL of the voice note file.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputInlineQueryResultVoiceNote()`
  Represents a link to an opus-encoded audio file within an OGG container, single channel audio.
  `InputInlineQueryResultVoiceNote(String id, String title, String voiceNoteUrl, int voiceNoteDuration, TdApi.ReplyMarkup replyMarkup, TdApi.InputMessageContent inputMessageContent)`
  Represents a link to an opus-encoded audio file within an OGG container, single channel audio.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public String id
    Unique identifier of the query result.

  - ### title

    public String title
    Title of the voice note.

  - ### voiceNoteUrl

    public String voiceNoteUrl
    The URL of the voice note file.

  - ### voiceNoteDuration

    public int voiceNoteDuration
    Duration of the voice note, in seconds.

  - ### replyMarkup

    public TdApi.ReplyMarkup replyMarkup
    The message reply markup; pass null if none. Must be of type replyMarkupInlineKeyboard or null.

  - ### inputMessageContent

    public TdApi.InputMessageContent inputMessageContent
    The content of the message to be sent. Must be one of the following types: inputMessageText, inputMessageVoiceNote, inputMessageInvoice, inputMessageLocation, inputMessageVenue or inputMessageContact.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InputInlineQueryResultVoiceNote

    public InputInlineQueryResultVoiceNote()
    Represents a link to an opus-encoded audio file within an OGG container, single channel audio.

  - ### InputInlineQueryResultVoiceNote

    public InputInlineQueryResultVoiceNote(String id, String title, String voiceNoteUrl, int voiceNoteDuration, TdApi.ReplyMarkup replyMarkup, TdApi.InputMessageContent inputMessageContent)
    Represents a link to an opus-encoded audio file within an OGG container, single channel audio.
    Parameters:
      `id` - Unique identifier of the query result.
      `title` - Title of the voice note.
      `voiceNoteUrl` - The URL of the voice note file.
      `voiceNoteDuration` - Duration of the voice note, in seconds.
      `replyMarkup` - The message reply markup; pass null if none. Must be of type replyMarkupInlineKeyboard or null.
      `inputMessageContent` - The content of the message to be sent. Must be one of the following types: inputMessageText, inputMessageVoiceNote, inputMessageInvoice, inputMessageLocation, inputMessageVenue or inputMessageContact.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InputInlineQueryResult`
    Returns:
      this.CONSTRUCTOR